TAUCXX(1)

NAME
taucxx - C++ compiler wrapper for TAU

SYNOPSIS

taucxx [options] ...

OPTIONS

-tau:help
    Displays help

-tau:verbose
    Enable verbose mode

-tau:keepfiles
    Keep intermediate files

-tau:show
    Do not invoke, just show what would be done

-tau:pdtinst
    Use PDT instrumentation

-tau:compinst
    Use compiler instrumentation

-tau:headerinst
    Instrument headers

-tau:<options>
    Specify measurement/instrumentation options. Sample options: mpi,pthread,openmp,profile,callpath,trace,vampirtrace,epilog

-tau:makefile tau_stub_makefile
    Specify tau stub makefile

NOTES

If the -tau:makefile option is not used, the TAU_MAKEFILE environment variable will be checked, if it is not specified, then the -tau:<options> will be used to identify a binding.

EXAMPLES

taucxx foo.cpp -o foo

taucxx -tau:MPI,OPENMP,TRACE foo.cpp -o foo

taucxx -tau:verbose -tau:PTHREAD foo.cpp -o foo

DOCUMENTATION

Complete documentation can be found at http://www.cs.uoregon.edu/research/tau/tau-usersguide.pdf